TYPOS.Flow - Bug # 44471

Status: Resolved Priority: Should have
Author: Tymoteusz Motylewski Category: Cache

Created: 2013-01-11 Assigned To: Karsten Dambekalns
Updated: 2013-04-05 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: (any)

Subject: Apc Cache backend has side effects

Description

If two caches use the APC cache backend, one cache can write and get entries from the other by just using the same key!

see:
http:/forge.typo3.org/issues/38135
and patch

https://review.typo3.org/#/c/12145/8

Related issues:
related to Core - Bug # 38135: Apc Cache backend has side effects Resolved

2012-06-17

Associated revisions

Revision b09ea995 - 2013-04-05 15:53 - Karsten Dambekalns
[BUGFIX] Avoid side effects in APC cache backend

When more than one cache was using the APC cache backend, use of the
same entry identifiers would cause side effects, as the frontends would
access the same entries.

This is fixed by including the cache identifier in the prefix hash.

Change-Id: 150fe007c97eefebbb6eb801c53d62e55729665a4

Fixes: #44471

Related: #38135

Releases: master, 2.0, 1.1

Revision 84d3271e - 2013-04-05 15:57 - Karsten Dambekalns
[BUGFIX] Avoid side effects in APC cache backend

When more than one cache was using the APC cache backend, use of the
same entry identifiers would cause side effects, as the frontends would
access the same entries.

This is fixed by including the cache identifier in the prefix hash.

Change-Id: 150fe007c97eefebbb6eb801c53d62e55729665a4

Fixes: #44471
Related: #38135

2015-08-04
https://review.typo3.org/#/c/12145/8

Releases: master, 2.0, 1.1

History

#1 - 2013-01-14 12:38 - Karsten Dambekalns

- Category set to Cache

- Status changed from New to Accepted

- Assigned To set to Karsten Dambekalns

- Target version set to 2.0

- Affected Flow version changed from Git master to (any)

#2 - 2013-01-14 14:56 - Karsten Dambekalns
- Status changed from Accepted to Under Review

See https://review.typo3.org/17522

#3 - 2013-04-05 15:54 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17522

#4 - 2013-04-05 15:58 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.0rg/19575

#5 - 2013-04-05 16:05 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.

It is available at https://review.typo3.org/19578

#6 - 2013-04-05 16:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:84d3271ebad7f5eaba08ec4ef67171e2d21397b0.
